# Generated by Django 4.2.8 on 2023-12-19 16:13

from django.db import migrations, models
import django.db.models.deletion
import mptt.fields
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_subsystems', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SystemRole',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=250, unique=True)),
                ('data_composition', models.CharField(blank=True, max_length=500)),
                ('upload_interface', models.CharField(blank=True, max_length=200)),
                ('upload_format', models.CharField(blank=True, max_length=100)),
                ('mapping_security_group', models.CharField(blank=True, max_length=1000)),
                ('sed', models.CharField(blank=True, max_length=500)),
                ('link', models.CharField(blank=True, max_length=300)),
                ('description', models.CharField(blank=True, max_length=1000)),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('comments', models.TextField(blank=True)),
                ('lft', models.PositiveIntegerField(editable=False)),
                ('rght', models.PositiveIntegerField(editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='netbox_rolesandgroups.systemrole')),
                ('subsystems', models.ManyToManyField(related_name='roles', to='netbox_subsystems.subsystem')),
                ('system', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='role', to='netbox_subsystems.system')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Роль систем',
                'verbose_name_plural': 'Роли систем',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='TechRole',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('comments', models.TextField(blank=True)),
                ('name', models.CharField(max_length=250, unique=True)),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('roles', models.ManyToManyField(related_name='techroles', to='netbox_rolesandgroups.systemrole')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Техническая роль систем',
                'verbose_name_plural': 'Технические роли систем',
                'ordering': ('name',),
            },
        ),
    ]
